pcl::visualization::context_items::Points Struct Reference

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::context_items::Points:

## Public Member Functions

| vtkTypeMacro (Points, PCLContextItem)
virtual bool | Paint (vtkContext2D *painter)
void | set (const std::vector< float > &_xy)
Public Member Functions inherited from pcl::visualization::PCLContextItem
| vtkTypeMacro (PCLContextItem, vtkContextItem)
void | setColors (unsigned char r, unsigned char g, unsigned char b)
void | setColors (unsigned char rgb[3])
void | setOpacity (double opacity)

## Static Public Member Functions

static Points * | New ()
Static Public Member Functions inherited from pcl::visualization::PCLContextItem
static PCLContextItem * | New ()

## Additional Inherited Members

Public Attributes inherited from pcl::visualization::PCLContextItem
unsigned char | colors [3]
std::vector< float > | params

## Detailed Description

Definition at line 135 of file pcl_context_item.h.

## Member Function Documentation

## New()

static Points* pcl::visualization::context_items::Points::New | ( |  | ) |

static

## Paint()

virtual bool pcl::visualization::context_items::Points::Paint | ( | vtkContext2D * | painter | ) |

virtual

Reimplemented from pcl::visualization::PCLContextItem.

Reimplemented in pcl::visualization::context_items::Markers, and pcl::visualization::context_items::Polygon.

## set()

void pcl::visualization::context_items::Points::set | ( | const std::vector< float > & | _xy | ) |

inline

Definition at line 140 of file pcl_context_item.h.

## vtkTypeMacro()

pcl::visualization::context_items::Points::vtkTypeMacro | ( | Points | ,
|  | PCLContextItem |
| ) |  |

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/vtk/pcl_context_item.h